#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/stat.h>


struct message {
   int type;
   int NODES;
   void *task_id;
   char command[400];
};

struct process {
 void* task_id;
 pid_t process_id;
 char* executable;
 struct process *next;
};


#define SP2 1
#define ATM 2
#define ALPHA 3
#define SUN 4
#define SGI 5

#define EXECUTE 1
#define ABORT 2
#define SHUTDOWN 3
#define CLEANUP 4
#define CLEANUP_COPY 5
#define BROADCAST 6
#define RECEIVE 7
#define INPUT_FILE 8
#define MESSAGE 10
#define COMMAND1 1
#define KILLED 20
#define DONE 50

#define SUCCESS 30
#define AB_TERMINATION 31
#define STOPPED  32
#define FORK_FAIL 33
#define WR_MACHINE 34

#define LOAD 60


typedef struct message *message_ptr;


